rh._.exports({"0":[[" ","Session Object"]],"1":[["scripting,scripting:ActiveX,scripting:objects,session object"]],"2":[[" ","  Session Object"]],"3":[[" ","Description"," ","The Session object provides access to the state and properties that exist for the current ","connection "," [A data path or circuit between two computers over a phone line, network cable, or other means. ] "," or ","session","  [A session is a set of options that are assigned to a connection to a remote machine.  These settings and options are saved under a session name and allow the user to have different preferences for different hosts.]  ","."," ","Syntax"," ","session.","P","roperty"," [ = ","expression"," ]"," ","session.","M","e","thod","([","arglist","])"," ","Remarks"," ","Secure","CRT's Session object is accessed through the top-level object’s ","Session"," property."," ","Session Object Properties and Methods"," ","Properties"," ","Methods"," ","Config"," ","Connect"," ","Connected"," ","ConnectInTab"," ","Label"," ","Disconnect"," ","LocalAddress"," ","Lock"," ","Locked"," ","Log"," ","LogFileName"," ","LogUsingSessionOptions"," ","Logging"," ","Print"," ","Path"," ","SetStatusText"," ","RemoteAddress"," ","Unlock"," ","RemotePort"," ","Properties"," ","Config"," ","Description"," ","Returns the configuration associated with the session."," ","Remarks"," ","This configuration will not be saveable to a new name."," ","VBScript"," ","Syntax"," ","Set"," ","objectvarname"," ","="," ","object",".Config"," ","Example"," ","Set config = crt.Session.Config"," ","Python"," ","Syntax"," ","objectvarname"," = ","object",".Config"," ","Example"," ","config = crt.Session.Config"," ","Connected"," ","Description"," ","Returns a Boolean value indicating whether the current session is connected or not."," ","Remarks"," ","Boolean read-only property."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","Connected"," ","P","ython"," ","Syntax"," ","[ ","varname"," = ] ","object",".Connected"," ","Label"," ","Description"," ","Returns or sets the session's label."," ","Remarks"," ","Read/write string property. Tabs can be renamed by right-clicking on the name on the session tab and selecting ","Rename",". The name change remains in effect until the tab is reused or until SecureCRT exits."," ","VBScript"," ","Syntax"," ","c","rt.Session.Label [ = string ]"," ","["," ","varname"," ","= ]"," crt.Session",".Label"," ","P","ython"," ","Syntax"," ","crt.Session.Label [ = string ]"," ","[ ","varname"," = ] crt.Session.Label"," ","LocalAddress"," ","Description"," ","Returns the IP address of the local machine in the form of a string."," ","Remarks"," ","LocalAddress is a read-only string property. The LocalAddress property should only be accessed if the session is connected. Attempting to access LocalAddress while not connected is an error."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","LocalAddress"," ","P","ython"," ","Syntax"," ","[ ","varname"," = ] ","object",".LocalAddress"," ","Locked"," ","Description"," ","Returns a Boolean value indicating whether the current session is locked or not."," ","Remarks"," ","Boolean read-only property."," ","VBScript"," ","Syntax"," ","[ ","varname"," = ] ","object",".Locked"," ","P","ython"," ","Syntax"," ","["," ","varname"," = ] ","object",".Locked"," ","LogFileName"," ","Description"," ","Returns or sets the name of the current log file."," ","Remarks"," ","If filename is invalid a runtime error is generated. See also: ","session.Log"," ","If the log filename contains parameter substitutions that are known when the function is called, they are filled in. Otherwise, the literal string is returned."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".LogFileName [ = ","filename"," ]"," ","P","ython"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".LogFileName [ = ","filename"," ]"," ","Logging"," ","Description"," ","Returns a Boolean value indicating whether the current session is logging or not."," ","Remarks"," ","Boolean read-only property."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","Logging"," ","P","ython"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","Logging"," ","Path"," ","Description"," ","Returns the path for the current session as it is found within the ","Session Manager"," or the ","Connect"," dialog, including the name of the session itself."," ","Remarks"," ","Path is a read-only string property that returns the organizational folder path for a saved session as it appears in the ","Session Manager",". If the session object used when making this call is not associated with a saved session, the name ","Default"," is returned, indicating that the session corresponds to an ad hoc connection, not a saved session. Path separators are operating system specific; on Windows the value returned will have \"\\\" as the path separator; on Linux/macOS versions of SecureCRT, \"/\" the used as the path separator."," ","If the sessions are organized as shown below:"," ","Sessions"," ","-  Routers"," ","- Region 01"," ","- Region 02"," ","- Cisco Router 1"," ","- Cisco Router 2"," ","- Cisco Router 3"," ","where ","Cisco Router 3"," is the saved session used to make a connection in a tab, the following line of script code:"," ","strSessionPath = crt.GetScriptTab().Session.Path"," ","would produce a string variable named ","strSessionPath"," with a value of ","Routers\\Region 02\\Cisco Router 3"," in the Windows versions of SecureCRT, and a value of ","Routers/Region 02/Cisco Router 3"," on Linux and macOS."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object.","Path"," ","Example"," ","If crt.session.path = \"work\\server0\" Then"," ","    myprompt = \"linux\""," ","End If"," ","Python"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object.","Path"," ","Example"," ","if crt.Session.Path == \"work\\server0\":"," ","  myprompt = \"linux\""," ","RemoteAddress"," ","Description"," ","Returns the IP address of the remote host in the form of a string."," ","Remarks"," ","RemoteAddress is a read-only string property. The RemoteAddress property should only be accessed if the session is connected. Attempting to access RemoteAddress while not connected is an error. Note that the IP address is not available when the session is connected through a SOCKS Version 5 proxy."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","RemoteAddress"," ","P","ython"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".","RemoteAddress"," ","RemotePort"," ","Description"," ","Returns the port number of the remote port."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".RemotePort"," ","Python"," ","Syntax"," ","["," ","varname"," ","= ]"," ","object",".RemotePort"," ","Methods"," ","Connect"," ","Description"," ","Connects to a session."," ","Remarks"," ","The Connect method takes a string parameter that specifies how a connection is to be made. The format of the string parameter matches the format of the command line arguments to SecureCRT."," ","If the tab/tile already has an active connection, the Connect method will fail. If you desire to establish a new connection in another tab/tile, use the ConnectInTab method instead."," ","The Connect method can accept an empty argument set. The statement crt.Session.Connect() means \"connect to the current session\". If a connection has not been made before, the statement will fail. If a connection already exists, nothing happens, otherwise, this statement is equivalent to pressing the ","Reconnect ","button."," ","Examples:"," ","Connect using a predefined session:"," ","crt.session.Connect(\"/s mysession\")"," ","Connect to \"myhost\" on port 2345 using the ","Telnet "," [Telnet is a protocol that provides an interface for communications between clients and servers.] "," protocol and Default session parameters:"," ","crt.session.Connect(\"/telnet myhost 2345\")"," ","The Connect method takes a parameter (","True"," or ","False",") that determines whether or not the script should wait for the connection to fully authenticate before continuing. For instance, the connect call in the examples below will wait until the connection has been fully authenticated before returning and allowing the script to execute the error check just below the connect call. This parameter only applies to SSH1 and SSH2 connections. Whereas, passing False would allow the error check to execute before the connection has a chance to finish. You will probably want to use False only in cases where you want to script the logon process for the session you are attempting to connect to. The default value for this parameter is ","True","."," ","The Connect method also takes an optional parameter (","True"," or ","False",") that specifies whether or not to suppress pop-up messages. This parameter defaults to ","False"," (don't suppress)."," ","VBScript"," ","Syntax"," ","object",".Connect [","strConnectInfo  ","[, ","bWaitForAuthToComplete   ","[, ","bSuppressErrorPopups","]]]"," ","Examples"," ","# $language = \"VBScript\""," ","# $interface = \"1.0\""," ","On Error Resume Next"," ","crt.Session.Connect \"/SSH2 /PASSWORD password username@hostname\", True"," ","If Err.Number <> 0 Then"," ","    MsgBox \"Connection Failed\""," ","Else"," ","    MsgBox \"Connection Successful\""," ","End If"," ","The following is an example script that uses the /ENCRYPTEDPASSWORD command-line option."," ","# $language = \"VBScript\""," ","# $interface = \"1.0\""," ","set config = crt.OpenSessionConfiguration(\"<session name>\")"," ","CRT.dialog.messagebox(config.GetOption(\"Password\"))"," ","crt.Session.Connect \"/SSH2 /ENCRYPTEDPASSWORD \" & config.GetOption(\"Password\") & \" <username>@<hostname>\", True"," ","Python"," ","Syntax"," ","object",".Connect([","strConnectInfo  ","[, ","bWaitForAuthToComplete","=True   [, ","bSuppressErrorPopups","=","False","]]])"," ","Examples"," ","# $language = \"Python\""," ","# $interface = \"1.0\""," ","errcode = 0"," ","try:"," ","  crt.Session.Connect(\"/SSH2 /PASSWORD password username@hostname\", True)"," ","except ScriptError:"," ","  errcode = crt.GetLastError()"," ","if errcode != 0:"," ","  crt.Dialog.MessageBox(\"Connection Failed\")"," ","else:"," ","  crt.Dialog.MessageBox(\"Connection Successful\")"," ","The following is an example script that uses the /ENCRYPTEDPASSWORD command-line option."," ","# $language = \"Python\""," ","# $interface = \"1.0\""," ","import SecureCRT"," ","set config = crt.OpenSessionConfiguration(\"<session name>\")"," ","crt.Dialog.Messagebox(config.GetOption(\"Password\"))"," ","crt.Session.Connect(\"/SSH2 /ENCRYPTEDPASSWORD \" + config.GetOption(\"Password\") + \"<username>@<hostname>\", True)"," ","ConnectInTab"," ","Description"," ","Connects to a session in a tab or tiled session window."," ","Remarks"," ","Takes the same arguments as Connect. This also returns a Tab object."," ","The ConnectInTab method also takes two optional parameters (True or False). The first determines whether or not the script should wait for the connection to fully authenticate before continuing. The first parameter only applies to SSH1 and SSH2 connections. The second optional parameter specifies whether the call fails silently or raises an exception. If the second parameter is False and the connection attempt fails, an exception is raised and the method returns an empty object. If the second parameter is True and the connection attempt fails, the method returns a valid Tab object, which can then be used to check for  connection status in order to determine if the connection attempt was successful. See the Connect method above for additional examples. ConnectInTab is not supported with sessions that use TN3270 emulation."," ","VBScript"," ","Syntax"," ","Set ","objTab"," = ","object",".ConnectInTab [","arg"," [, ","True","|","False","] [, ","True","|","False","]]"," ","[Set ","objTab ","=] ","object",".ConnectInTab([","strConnectInfo","  [, ","bWaitForAuthToComplete  ","[, ","bSuppressErrorPopups","]]])"," ","Examples"," ","Connect in a tab using a predefined session:"," ","Set tab = crt.session.ConnectInTab(\"/s mysession\")"," ","Connect in a tab to \"myhost\" on port 2345 using the ","Telnet "," [Telnet is a protocol that provides an interface for communications between clients and servers.] "," protocol and Default session parameters:"," ","Set tab = crt.session.ConnectInTab(\"/telnet myhost 2345\")"," ","Close tab if attempt to connect fails:"," ","Set objNewTab = crt.Session.ConnectInTab(\"Host_Does_Not_Exist\",,True)"," ","MsgBox _"," ","    \"Script Tab's index: \" & crt.GetScriptTab().Index & vbcrlf & _"," ","    \"New Tab's index: \" & objNewTab.Index"," ","    If Not objNewTab.Session.Connected Then"," ","         ' Make sure we're not re-using disconnected"," ","         ' tabs, we don't want to close the script"," ","         ' tab, just any new tabs that get created by"," ","         ' calls to ConnectInTab(), but which don't"," ","         ' result in a successful connection."," ","         If crt.GetScriptTab().Index <> objNewTab.Index Then"," ","             crt.Dialog.MessageBox(\"Closing failed tab\")"," ","             objNewTab.Close()"," ","         End If"," ","     End If"," ","Python"," ","Syntax"," ","[","objTab ","=] ","object",".ConnectInTab([","strConnectInfo","=\"\"   [, ","bWaitForAuthToComplete","=","True   ","[, ","bSuppressErrorPopups","=","False","]]])"," ","Example"," ","Connect in a tab using a predefined session:"," ","crt.Session.ConnectInTab(\"/s mysession\")"," ","Connect in a tab to \"myhost\" on port 2345 using the Telnet protocol and Default session parameters:"," ","crt.Session.ConnectInTab(\"/telnet myhost 2345\")"," ","Close tab if attempt to connect fails:"," ","objNewTab = crt.Session.ConnectInTab(\"Host_Does_Not_Exist\", failSilently=True)"," ","crt.Dialog.MessageBox("," ","    \"Script Tab's index: \" + str(crt.GetScriptTab().Index) + \"\\n\" +"," ","    \"New Tab's index: \" + str(objNewTab.Index))"," ","if objNewTab.Session.Connected != True:"," ","     # Make sure we're not re-using disconnected"," ","     # tabs, we don't want to close the script"," ","     # tab, just any new tabs that get created by"," ","     # calls to ConnectInTab(), but which don't"," ","     # result in a successful connection."," ","     if crt.GetScriptTab().Index != objNewTab.Index:"," ","         crt.Dialog.MessageBox(\"Closing failed tab\")"," ","         objNewTab.Close()"," ","Disconnect"," ","Description"," ","Disconnects"," "," the current session."," ","Remarks"," ","If the current session is not connected, Disconnect does nothing."," ","VBScript"," ","Syntax"," ","object",".Disconnect"," ","Python"," ","Syntax"," ","object",".Disconnect()"," ","Lock"," ","Description"," ","Locks the current session (or all sessions)."," ","Remarks"," ","All the parameters are optional. The default for bPrompt is false. If bPrompt is true, the ","Lock Session"," dialog will be displayed. The default for strPassword is the empty string (\"\") and the default for bLockAllSessions and bHideOutput is false."," ","VBScript"," ","Syntax"," ","object",".Lock [","bPrompt  ","[, ","strPassword   ","[, ","bLockAllSessions  ","[, ","bHideoutput","]]]]"," ","Python"," ","Syntax"," ","object",".Lock([","bPrompt","=","False  ","[, ","strPassword","=\"\"   [, ","bLockAllSessions","=","False  ","[, ","bHideOutput","=","False","]]]])"," ","Log"," ","Description"," ","Enables or disables logging."," ","Remarks"," ","Starts or stops logging depending on the Boolean state of the \"start\" parameter. When logging is being started the optional Boolean \"append\" and \"raw\" parameters may be set to True to open the log file for appending or to log raw characters respectively. The append and raw parameters are optional and are false if not specified (When \"start\" is false the values of append and raw are ignored)."," ","VBScript"," ","Syntax"," ","object",".Log(","start","[,"," append","[,"," raw]","])"," ","Python"," ","Syntax"," ","object",".Log(","start","[, ","append","[, ","raw","]])"," ","LogUsingSessionOptions"," ","Description"," ","Turns on logging using the logging options for the current session."," ","Remarks"," ","If the session is an ad hoc session, the Default session's logging options will be used."," ","VBScript"," ","Syntax"," ","object",".LogUsingSessionOptions"," ","Python"," ","Syntax"," ","object",".LogUsingSessionOptions()"," ","Print"," ","Description"," ","Starts or stops autoprint."," ","Remarks"," ","Starts or stops autoprint depending on the Boolean ","start"," parameter."," ","VBScript"," ","Syntax"," ","object",".Print(","start",")"," ","P","ython"," ","Syntax"," ","object",".Print(","start",")"," ","SetStatusText"," ","Description"," ","Allows you to set the text within the status bar for a specific session."," ","Remarks"," ","Sets the status bar message to the specified text string."," ","VBScript"," ","Syntax"," ","object",".","SetStatusText(","text",")"," ","P","ython"," ","Syntax"," ","object",".SetStatusText(","text",")"," ","Unlock"," ","Description"," ","Unlocks the current session (or all sessions)."," ","Remarks"," ","All the parameters are optional. The default for bPrompt is false. If bPrompt is true, the ","Unlock Session"," dialog will be displayed. The default for strPassword is the empty string (\"\") and the default for bUnlockAllSessions is false."," ","VBScript"," ","Syntax"," ","object",".Unlock [","bPrompt   ","[, ","strPassword   ","[, ","bUnlockAllSessions","]]]"," ","Python"," ","Syntax"," ","object",".Unlock([","bPrompt","=","False   ","[, ","strPassword","=\"\"   [, ","bUnlockAllSessions","=False]]])"]],"id":"177"})