rh._.exports({"0":[[" ","Table of Protocol-Specific Command-Line Options"]],"1":[["command-line options,command-line usage,options,SSH1,SSH2,Telnet,TAPI,RLogin,Serial,protocols"]],"2":[[" ","  Table of Protocol-Specific Command-Line Options"]],"3":[[" ","Any of the ","standard options"," may be used in combination with a protocol-specific option."," ","Protocol Option","\n              And Mandatory Arguments"," ","Related Options and","\n              Arguments"," ","Description"," ","/S"," ","session_name"," ","none"," ","Starts ","Secure","CRT and opens a ","connection "," [A data path or circuit between two computers over a phone line, network cable, or other means. ] ","with ","session_name.","  If ","session_name","  includes any spaces, it must be enclosed with quotation marks, (e.g., \"My Session\"). Multiple sessions can be opened by specifying  multiple \"/S ","session_name","\" argument pairs on the command line."," ","Note:"," The /S ","option ","is considered a protocol-specific option because the protocol to be used is defined by the ","session ","  [A session is a set of options that are assigned to a connection to a remote machine.  These settings and options are saved under a session name and allow the user to have different preferences for different hosts.]  "," parameters."," ","/T"," ","/S"," ","When used in conjunction with the /S options, the /T option opens the specified session or sessions in a separate tab or tabs. For example, the command:"," ","/T /S alpha"," ","opens session alpha in a new tab. The command:"," ","/T /S alpha /S beta"," ","opens both sessions alpha and beta in their own tabs."," ","Note:"," /T must precede /S in the command string."," ","The /T option can also be used with \"ad hoc\" sessions such as:"," ","/T /SSH2 myserver"," ","/SSH1"," [ssh_options] ","hostname"," ","none"," ","Starts SecureCRT and opens the default session with the ","SSH1 "," [The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server.] "," protocol and begins connecting to ","hostname",". SecureCRT also accepts ","username@hostname"," syntax."," ","Note:"," /SSH1 and its related options are only available if SSH1 support was selected for installation during the installation process."," ","[ ","/ACCEPTHOSTKEYS"," ]"," ","Instructs SecureCRT to automatically accept host keys."," ","[ ","/C"," ","cipher "," [An algorithm used to encrypt data at varying levels of security.  Examples include 3DES, AES, Blowfish, RC4, and Twofish.] "," ]"," ","Specifies a ","cipher "," [An algorithm used to encrypt data at varying levels of security.  Examples include 3DES, AES, Blowfish, RC4, and Twofish.] ","for encrypting the session. Valid values for SSH1 ","cipher "," [An algorithm used to encrypt data at varying levels of security.  Examples include 3DES, AES, Blowfish, RC4, and Twofish.] "," are NONE, DES, 3DES, RC4 and BLOWFISH. The default SSH1 cipher is 3DES."," ","[/ENCRYPTEDPASSWORD"," ","password"," ]"," ","Specifies a password in encrypted for","m. This password must have been encrypted by SecureCRT."," ","To obtain an encrypted password, specify a password in the ","Session Options"," dialog, then open that session's .ini file and copy the encrypted string from the ","Password ","field."," ","To use passwords in scripts, refer to the Session Object ","Connect"," method."," ","[","/FORWARDX11PACKETS","]"," ","Enables X11 packet forwarding."," ","[ ","/I"," ","identityfile"," ]"," ","Specifies the location of the user's ","identity file"," [Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication.  The Identity file contains the public and private key pair and is used by SecureCRT.  The Identity.pub file contains only the public key  which is usually appended to the authorized_keys file.] ",". The identity file contains the private key needed to connect to the server using RSA ","authentication "," [The process of verifying that an individual truly is who he or she claims to be.  Supplying a password is a very common method of authentication.  The most secure method of authentication supported in SecureCRT is public-key authentication.  See also: identity file, public-private key pair.] "," . The absence of this option causes password authentication to be used."," ","[ ","/L"," ","username"," ]"," ","Specifies the username when connecting to the SSH1 ","server "," [A computer program that provides services to other computer programs (called clients).  Often the computer on which a server program runs is also called a server.  The term host is often used as a synonym for server.] ","."," ","[ ","/P"," ","port"," ]"," ","Specifies the SSH server port. The default value is 22."," ","[ ","/PASSPHRASE"," ","passphrase"," ]\n          "," ","Logs on to the SSH1 server using ","passphrase"," as the ","passphrase "," [A password used to protect a private key from unauthorized use.  It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored.  When using public-key   authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process.] ","for the identity file given with the /L option."," ","[ ","/PASSWORD ","password"," ]"," ","Logs on to the SSH1 server using ","password"," as the password for the username given with the /L option."," ","[ ","/ Z"," ","compressionlevel"," ]"," ","Specifies the compression level from 1 (lowest compression = fastest) to 9 (highest compression = slowest). Setting this option to 0 turns off compression."," ","/SSH2"," ","[ssh_options] ","hostname"," ","none"," ","Starts SecureCRT and opens the default session with the ","SSH2 "," [The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides.] ","protocol and begins connecting to ","hostname",". SecureCRT also accepts ","username@hostname"," syntax."," ","Note:"," /SSH2 and its related options are only available if SSH2 support was selected for installation during the installation process."," ","["," ","/ACCEPTHOSTKEYS"," ","]"," ","Instructs SecureCRT to automatically accept host keys."," ","[ ","/AUTH"," ","method"," ]"," ","Specifies the authentication method(s) to be attempted when connecting to the SSH2 server. If multiple methods are specified, they must be comma-separated with no spaces (i.e., ","/AUTH password,publickey,keyboard-interactive,gssapi",")"," ","[ ","/C ","cipher ","]"," ","Specifies a cipher for encrypting the session. Valid values for SSH2 cipher are NONE, AES-256-CTR, AES-192-CTR, AES-128-CTR, AES-256-GCM, AES-128-GCM, AES-256, AES-192, AES-128, ChaCha20-Poly1305, Twofish, and 3DES. The default SSH2 cipher is AES-256-CTR."," ","[ ","/COMPRESSIONS ","type"," ]"," ","Specifies the compression type for the session. Valid values for SSH2 compression type are NONE, ZLIB, and ZLIB@OPENSSH.COM. The default type is NONE."," ","[ ","/CREDENTIALS ","title"," ]"," ","Specifies a set of saved credentials to use. The username and authentication methods specified in the saved credentials will be used when connecting to the SSH2 server."," ","[ ","/ENCRYPTEDPASSWORD"," ","password"," ]"," ","Specifies a password in encrypted form. This password must have been encrypted by SecureCRT."," ","To obtain an encrypted password, specify a password in the ","Session Options"," dialog, then open that session's .ini file and copy the encrypted string from the ","Password"," field."," ","To use passwords in scripts, refer to the Session Object ","Connect"," method."," ","[","/FORWARDX11PACKETS","]"," ","Enables X11 packet forwarding."," ","[ ","/I ","identityfile"," ]"," ","Specifies the location of the user's identity file. The identity file contains the private key needed to connect to the server using public-key authentication. The absence of this option causes password authentication to be used."," ","[","/KEYBOARDINTERACTIVEPROMPT"," ","prompt","]"," ","Specifies the prompt to expect when keyboard-interactive authentication is used. The ","/PASSWORD"," option can be used in conjunction with this option."," ","[","/KEX"," ","key-e","xchange method","]"," ","Specifies which key exchange method to use. The list of supported methods can be found in the Session Options dialog in the Connect/SSH2 category.  If multiple methods are specified, they must be comma-separated with no spaces (e.g., /KEX curve25519-sha256,diffie-hellman-group16-sha512,diffie-hellman-group14-sha256)."," ","[ ","/L ","username"," ]"," ","Specifies the username when connecting to the SSH2 server."," ","[ ","/LOCAL","\n             [ ","localip",":]","localport",":","hostname",": ","hostport","]"," ","Allows you to specify a local listening IP address when setting up a ","port forward"," (not required), and forwards connection requests from ","localport"," (on localhost) to ","hostport"," on ","hostname","."," ","[ ","/M"," "," MAC"," ]"," ","Specifies the Message Authentication Code (","MAC"," [Message Authentication Code.  A component of the SSH2 protocol consisting of a hashing algorithm used to ensure data integrity between an SSH2 client and an SSH2 server communicating over a TCP/IP network such as the internet.  The MAC ensures data integrity by protecting against message alteration.] ",") to use."," ","[ ","/P"," ","port"," ]"," ","Specifies the SSH2 server port. The default value is 22."," ","[ ","/PASSPHRASE"," ","passphrase"," ]\n          "," ","Logs on to the SSH2 server using ","passphrase"," as the ","passphrase "," [A password used to protect a private key from unauthorized use.  It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored.  When using public-key   authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process.] ","for the identity file given with the /L option."," ","[ ","/PASSWORD"," ","password"," ]"," ","Logs on to the SSH2 server using ","password"," as the password for the username given with the /L option."," ","[ ","/REMOTE"," ","\n            [ ","listenip",":]","listenport",":"," ","destination-host",":","destination-port","]"," ","Allows you to specify a remote listening IP address when setting up a remote forward (not required), and requests the SSH2 server to accept connection requests on ","listenport"," (on the remote machine) and forward the requests to ","hostport"," on ","hostname","."," ","[ ","/Z"," ","compressionlevel"," ]"," ","Specifies the compression level from 1 (lowest compression = fastest) to 9 (highest compression = slowest). Setting this option to 0 turns off compression."," ","/TELNET"," ","hostname [port]"," ","none"," ","Starts ","Secure","CRT and opens the default session with the ","Telnet "," [Telnet is a protocol that provides an interface for communications between clients and servers.] "," protocol and begins connecting to [","port","] on ","hostname","."," ","/RLOGIN"," ","hostname"," ","none"," ","Starts ","Secure","CRT and opens the default session with the RLogin protocol and begins connecting to ","hostname",". ","Secure","CRT also accepts ","username@hostname"," syntax."," ","[ ","/L"," ","username"," ]"," ","Specifies the username to use with the RLogin protocol."," ","/LOCALSHELL"," ","none"," ","Starts SecureCRT and opens a local shell session."," ","/TAPI"," ","phone number"," ","none"," ","Starts ","Secure","CRT and opens the default session with the TAPI protocol and begins connecting to the specified ","phone number","."," ","Note:"," This command must be formatted as in the following example:"," ","/TAPI \"+1 (555) 555-5555\""," ","[ ","/REDIAL"," ","attempts"," ]"," ","Specifies the number of redial attempts that SecureCRT will make before giving up on the connection."," ","/SERIAL"," ","port"," ","none"," ","Starts SecureCRT and opens the default session with ","port",". If no ","port"," value is entered, SecureCRT will use the value of the ","Port"," option in the ","Global Options / General / Default Session"," category. If no setting is entered for the default session, SecureCRT will use ","COM2"," as the ","port"," entry."," ","Note:"," /SERIAL and its related options are only available if serial capability is selected during installation."," ","[ ","/BAUD"," ","baudrate"," ]"," ","Set the baud rate. Valid values for ","baudrate"," are 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200, 230400, 380400, 460800, and 921600. The default value is 38400."," ","[ ","/CTS","  |  ","/NOCTS"," ","]"," ","Enable or Disable RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, RTS/CTS is enabled."," ","[ ","/DATA"," ","databits"," ]"," ","Set the data bits. Valid values for n are 5, 6, 7 or 8. The default value is 8."," ","[ ","/DSR","  |  ","/NODSR"," ","]"," ","Enable or Disable DTR/DSR (data-terminal-ready/data-set-ready). By default, DTR/DSR are not enabled."," ","[ ","/PARITY"," ","parity"," ]"," ","Set the parity. Valid values for"," ","parity"," ","are NONE, ODD, EVEN, MARK, SPACE. The default is NONE."," ","[ ","/STOP"," ","stopbits"," ]"," ","Sets the stop bits. Valid values for"," ","stopbits"," ","are 0, 1 or 2 ( 0 indicates 1 stop bit, 1 indicates 1.5 stop bits, 2 indicates 2 stop bits). The default value is 0 (1 stop bit)."," ","[ ","/XON","  |  ","/NOXON","]"," ","Enable or Disable XON/XOFF software flow control. By default, software flow control is disabled."," ","Examples of Command Line Usage:"," ","Example 1:"," ","The following example opens a connection to the \"My Company\" session in the ","specified position",":"," ","Secure","CRT.exe /POS 100 50 /S \"My Company\""," ","Example 2:"," ","The following example creates an ","SSH2"," connection to the remote machine named ","mySSH2server.myISP.com."," It uses the username ","myusername"," to begin the logon process. It also specifies the cipher to use as Twofish, and the MAC to use as MD5. In addition, ","port forwarding"," "," is set up with the remote machine ","imap.myserver.com",", instructing the local machine to listen for IMAP requests on port 8143 (local machine):"," ","SecureCRT.exe /SSH2 /L myusername /C twofish /M MD5 /LOCAL 8143:imap.myimapserver.com:143 mySSH2server.myISP.com"," ","Example 3:"," ","The following example connects to mycompany.com using the SSH1 protocol specifying the username \"bob\", the location of an identity containing a private RSA key and the Blowfish cipher:"," ","SecureCRT.exe /SSH1 /L bob /I \"C:\\ SecureCRT\\RSAIdentity.pri\" /C Blowfish mycompany.com"," ","Example 4:"," ","The following example connects to mycompany.com using the SSH2 protocol, username \"bob\", level 4 compression, and sets up port forwarding of connections from port 555 on the localhost (the PC running SecureCRT) to port 6666 on mycompany.com:"," ","SecureCRT /SSH2 /L bob /Z 4 /LOCAL 555:mycompany.com:6666 mycompany.com"]],"id":"185"})