rh._.exports({"0":[[" ","Tab Object"]],"1":[["scripting,scripting:ActiveX,scripting:objects,tabs,tab object"]],"2":[[" ","  Tab Object"]],"3":[[" ","Description"," ","The Tab object provides access to the tab functions that exist for the current ","connection "," [A data path or circuit between two computers over a phone line, network cable, or other means. ] "," or ","session","  [A session is a set of options that are assigned to a connection to a remote machine.  These settings and options are saved under a session name and allow the user to have different preferences for different hosts.]  ",". The Tab object can also be used to work with tiled session windows."," ","Syntax"," ","objTab",".P","roperty"," [ = ","expression"," ]"," ","objTab",".M","ethod","([","arglist","])"," ","Tab Object Properties and Methods"," ","Properties"," ","Methods"," ","Caption"," ","Activate"," ","Index"," ","Clone"," ","Screen"," ","Close"," ","Session"," ","ConnectSftp"," ","ResetCaption"," ","Properties"," ","Caption"," ","Description"," ","Returns or sets the caption of the specified tab object."," ","Remarks"," ","Setting this property sets the caption of the tab or tiled session window and sets the caption of the main application window if the tab or tiled session window is active. Tabs can be renamed by right-clicking on the name on the session tab and selecting ","Rename",". The name change remains in effect until the tab is reused or until SecureCRT exits."," ","VBScript"," ","Syntax"," ","["," ","varname"," ","= ]"," ","tab.","Caption"," ","t","ab",".Caption = ","newCaption"," ","Python"," ","Syntax"," ","[ ","varname"," = ] ","tab",".Caption"," ","tab",".Caption = ","newCaption"," ","Index"," ","Description"," ","Returns the index for the tab object referenced by ","object","."," ","Remarks"," ","When sessions are tabbed, the index for each tab object matches its position in the tab bar. When sessions are tiled, the indexes of the tab objects may not match the indexes when tabbed, but will remain consistent while the sessions are tiled."," ","VBScript"," ","Syntax"," ","object.","Index"," ","Python"," ","Syntax"," ","object.Index"," ","Screen"," ","Description"," ","Returns a reference to the Screen object associated with the ","tab"," object."," ","Remarks"," ","Object variables assigned from the screen property require the \"Set\" syntax. See the Screen object documentation for a description of its properties and methods."," ","VBScript"," ","Syntax"," ","Set ","object"," ="," ","tab",".Screen"," ","Python"," ","Syntax"," ","object"," = ","tab",".Screen"," ","Session"," ","Description"," ","Returns a reference to the Session object associated with the ","tab"," object.."," ","Remarks"," ","See the Session object documentation for a description of its properties and methods."," ","VBScript"," ","Syntax"," ","Set ","object"," ="," ","tab",".Session"," ","Python"," ","Syntax"," ","object"," = ","tab",".Session"," ","Methods"," ","Activate"," ","Description"," ","Brings the tab or tiled session window referenced by ","object"," to the foreground."," ","Remarks"," ","A tab can receive and send text whether active or not. This method simulates a user clicking on a tab or tiled session window to activate."," ","VBScript"," ","Syntax"," ","object",".Activate"," ","Python"," ","Syntax"," ","object",".Activate()"," ","Clone"," ","Description"," ","Returns a reference to a tab object cloned from the specified ","object"," tab reference."," ","Remarks"," ","Cloned sessions benefit from their parent session already having been authenticated to the server. Therefore, cloned sessions require no additional authentication."," ","VBScript"," ","Syntax"," ","Set cloneTab = object",".Clone"," ","Python"," ","Syntax"," ","cloneTab"," = ","object",".Clone()"," ","Close"," ","Description"," ","Closes the tab or tiled session window referenced by ","object","."," ","Remarks"," ","Any active connection associated with the tab (or tiled session window) referenced by object is terminated when the tab (or tiled session window) is closed."," ","VBScript"," ","Syntax"," ","object",".Close"," ","Python"," ","Syntax"," ","object",".Close()"," ","ConnectSftp"," ","Description"," ","Creates an SFTP tab based on this tab. When in tiled mode, creates an SFTP session window based on this tiled session."," ","Remarks"," ","SFTP sessions benefit from their parent session already having been authenticated to the server. Therefore, SFTP sessions require no additional authentication."," ","VBScript"," ","Syntax"," ","Set sftpTab ="," ","object",".ConnectSftp"," ","Python"," ","Syntax"," ","sftpTab"," = ","object",".ConnectSftp()"," ","ResetCaption"," ","Description"," ","Resets the caption to the state it was in before Caption was called to set it."," ","Remarks"," ","None."," ","VBScript"," ","Syntax"," ","object",".ResetCaption"," ","Python"," ","Syntax"," ","object",".ResetCaption()"]],"id":"84"})